package com.uas.search.console.b2b.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "PRODUCT$BRAND")
public class BrandSimpleInfo {

	/**
	 * id
	 */
	@Id
	@Column(name = "br_id")
	private Long id;

	/**
	 * uuid
	 */
	@Column(name = "br_uuid", unique = true)
	private String uuid;

	/**
	 * 品牌中文名称
	 */
	@Column(name = "br_name_cn")
	private String nameCn;

	/**
	 * 品牌英文名称
	 */
	@Column(name = "br_name_en")
	private String nameEn;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getUuid() {
		return uuid;
	}

	public void setUuid(String uuid) {
		this.uuid = uuid;
	}

	public String getNameCn() {
		return nameCn;
	}

	public void setNameCn(String nameCn) {
		this.nameCn = nameCn;
	}

	public String getNameEn() {
		return nameEn;
	}

	public void setNameEn(String nameEn) {
		this.nameEn = nameEn;
	}

	@Override
	public String toString() {
		return "BrandSimpleInfo [id=" + id + ", uuid=" + uuid + ", nameCn=" + nameCn + ", nameEn=" + nameEn + "]";
	}

}
